var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
import { createComponent } from 'cf-style-container';

var styles = function styles(_ref) {
  var theme = _ref.theme;
  return {
    backgroundColor: theme.backgroundColor,
    border: theme.border,
    fontFamily: theme.fontFamily,
    borderRadius: theme.borderRadius,
    display: theme.display,
    marginLeft: theme.marginLeft,
    marginRight: theme.marginRight,
    padding: theme.padding,
    verticalAlign: theme.verticalAlign,
    color: theme.textColor
  };
};

var Code = function (_React$Component) {
  _inherits(Code, _React$Component);

  function Code() {
    _classCallCheck(this, Code);

    return _possibleConstructorReturn(this, (Code.__proto__ || Object.getPrototypeOf(Code)).apply(this, arguments));
  }

  _createClass(Code, [{
    key: 'render',
    value: function render() {
      return React.createElement(
        'code',
        { className: this.props.className },
        this.props.children
      );
    }
  }]);

  return Code;
}(React.Component);

Code.propTypes = {
  className: PropTypes.string,
  children: PropTypes.node
};
Code.displayName = 'Code';

export default createComponent(styles, Code);