'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CodeBlockTheme = exports.CodeBlockUnstyled = exports.CodeBlock = exports.CodeTheme = exports.CodeUnstyled = exports.Code = undefined;

var _cfStyleContainer = require('cf-style-container');

var _Code = require('./Code');

var _Code2 = _interopRequireDefault(_Code);

var _CodeTheme = require('./CodeTheme');

var _CodeTheme2 = _interopRequireDefault(_CodeTheme);

var _CodeBlock = require('./CodeBlock');

var _CodeBlock2 = _interopRequireDefault(_CodeBlock);

var _CodeBlockTheme = require('./CodeBlockTheme');

var _CodeBlockTheme2 = _interopRequireDefault(_CodeBlockTheme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Code = (0, _cfStyleContainer.applyTheme)(_Code2.default, _CodeTheme2.default);
const CodeBlock = (0, _cfStyleContainer.applyTheme)(_CodeBlock2.default, _CodeBlockTheme2.default);

exports.Code = Code;
exports.CodeUnstyled = _Code2.default;
exports.CodeTheme = _CodeTheme2.default;
exports.CodeBlock = CodeBlock;
exports.CodeBlockUnstyled = _CodeBlock2.default;
exports.CodeBlockTheme = _CodeBlockTheme2.default;